%define gcj_support 1
%define short_name forms
%define cvs_version 1_2_0-RC-20080211

Name:           jgoodies-forms
Version:        1.2.0
Release:        %mkrel 0.0.rc2
Epoch:          0
Summary:        Framework to lay out and implement elegant Swing panels in Java
License:        BSD
Group:          Development/Java
URL:            http://www.jgoodies.com/freeware/forms/
Source0:        http://www.jgoodies.com/download/libraries/%{short_name}-%{cvs_version}.zip
BuildRequires:  ant
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
BuildRequires:  java-1.5.0-gcj-javadoc
%else
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  java-javadoc
BuildArch:      noarch
%endif
BuildRequires:  java-rpmbuild
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The JGoodies Forms framework helps you lay out and implement elegant Swing
panels quickly and consistently. It makes simple things easy and the hard
stuff possible, the good design easy and the bad difficult.

Main Benefits:

* Powerful, flexible and precise layout
* Easy to work with and quite easy to learn
* Faster UI production
* Better UI code readability
* Leads to better style guide compliance

%package javadoc
Summary:        Javadoc documentation for JGoodies Forms
Group:          Development/Java

%description javadoc
The JGoodies Forms framework helps you lay out and implement elegant Swing
panels quickly and consistently. It makes simple things easy and the hard
stuff possible, the good design easy and the bad difficult.

This package contains the Javadoc documentation for JGoodies Forms.

%prep
%setup -q -n %{short_name}-%{version}rc
%{__rm} -r docs/api
%{_bindir}/find . -type f -name '*.html' -o -type f -name '*.css' -o -type f -name '*.java' -o -type f -name '*.txt' | \
  %{_bindir}/xargs -t %{__perl} -pi -e 's/\r$//g'

%build
export CLASSPATH=
export OPT_JAR_LIST=:
%{ant} -Djavadoc.link=%{_javadocdir}/java compile jar javadoc

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -a build/%{short_name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__ln_s} %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
%{__ln_s} %{name}-%{version}.jar %{buildroot}%{_javadir}/%{short_name}-%{version}.jar
%{__ln_s} %{short_name}-%{version}.jar %{buildroot}%{_javadir}/%{short_name}.jar
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a build/docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
%{__rm} -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(0644,root,root,0755)
%doc RELEASE-NOTES.txt
%{_javadir}/%{short_name}*.jar
%{_javadir}/%{name}*.jar
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*.jar.*
%endif

%files javadoc
%defattr(0644,root,root,0755)
%doc RELEASE-NOTES.txt README.html docs/ src/tutorial/ build/classes/tutorial/
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0:1.2.0-0.0.rc2mdv2010.0
+ Revision: 429605
- rebuild

* Thu Feb 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.0-0.0.rc1mdv2008.1
+ Revision: 168588
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.0-0.0.3mdv2008.1
+ Revision: 120942
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.0-0.0.2mdv2008.0
+ Revision: 87434
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Thu Aug 23 2007 David Walluck <walluck@mandriva.org> 0:1.1.0-0.0.1mdv2008.0
+ Revision: 70690
- properly format spec
- BuildRequires: java-javadoc
- remove pre-built javadoc in docs/api
- export OPT_JAR_LIST=:
- install %%{name}.jar and %%{_javadocdir}/%%{name} symlinks
- remove (incorrect) javadoc scriptlets
- remove README_RPM.txt
- Import jgoodies-forms



* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:1.0.7-1mdv2007.0
- release

* Mon Oct 17 2005 Eric Lavarde <rpm@zorglub.s.bawue.de> - 0:1.0.5-2jpp
- corrected error with defattr of javadoc.
- linked api to doc directory to allow for proper (http)linkage.

* Sun Sep 10 2005 Eric Lavarde <rpm@zorglub.s.bawue.de>
- First packaged release
